Overview

UltraExplorer - The Ultimate File Manager Tool for Windows
Overview

UltraExplorer is a Windows Explorer replacement that will change the way you think about file management. Other Explorer replacement applications duplicate the same old paradigm introduced by Microsoft in Windows 95. A clumsy Treeview on the left showing folders and a listview on the right that supports various views of the files in a single folder coupled to a dropdown Combobox above.

UltraExplorer takes you to the next level. Yes it can be configured to be just another Explorer clone but it contains new ways of working with your files. The first and most noticeable is the Columns View. This view is a flat view of your files and folder aligned in a linear fashion across the windows. This is similar to the way many Mac file managers have been designed for a long time.

Another feature borrowed from Mac file managers is a Drop Stack. Think of the Drop Stack as a temporary holding place for drag and drop operations. You want to move files from radically different places in the file structure. Simply drag files from various folders to the Drop Stack then navigate to where you want them and drag them from the Stack to the destination folder.

UltraExplorer also supports the typical views of Windows Explorer with a lightning fast Folder Treeview and dropdown Combobox. All views fast and flicker free. The Thumbnail view renders images in a separate thread and maintains its own caching mechanism for fast refreshes.

UltraExplorer also uses threads for retrieving icons, information from slow column in Details view, and enumerating the contents of the Listview controls to ensure the application stays responsive even if Windows is taking its time retrieving information.

UltraExplorer feature list is aimed at making file management and navigation fast and easier then ever before. View the Features page to see what UltraExplorer has to offer.

Contents | Index | Home
Copyright (c) 2007. All rights reserved. Send feedback!


Features

Features
Features

UltraExplorer feature list is aimed at making file management and navigation fast and easier then ever before. Some of the features if UltraExplorer are:

  • Fully configurable user interface
    • All windows are reconfigurable with multiple docking options as well as the ability to float or be hidden
    • ToolWindows have Toolbars that maybe hidden or docked in any location.
    • User definable shortcut keys
    • User definable visual themes
  • Fully configurable layouts
    • Classic Treeview/Listview layout
    • Dual Listview layout
    • New ListMode layout
    • Any combination of the above can also be designed
  • Ultra fast display rendering and folder enumeration
  • Fully integrated Tabbing feature
    • Tabbing is context sensitive to which listview is currently active
    • "New Tab" initial location user definable
    • The Tabs are drag drop aware. You can drop files on the tab to place them in the folder.
  • "BreadCrumb" bar allow fast access to parent folders in the current path hierarchy
    • Dropdown menus allow direct access to other folders in the folder hierarchy or to the property sheet for the folder
  • Supports Total Commander Lister Plug-ins
  • An UltraExplorer exclusive. The components used the for file listings, unlike other Explorer replacements, are faster then Explorer itself. This means it is practical to have multiple lists of files visible at one time. This will quickly become a favorite view for many applications.

This is only a small list of the features built into UltraExplorer with more being added.


Using UltraExplorer

Using UltraExplorer
Topics
Collapse All
Topics
Name
Description
User Interface

UltraExplorer is a powerful replacement for the file manager in the Microsoft Windows operating system. Windows Explorer is fine for occasional use but those who require more out of file management quickly become frustrated with it.

The UltraExplorer user interface is divided up into numerous windows that may be docked to any edge of the main application or may "float" detached from the main application.
Views

UltraExplorer supports the common listview view styles found in Windows Explorer plus an exciting new mode found only in UltraExplorer, Columns View.

The views that UltraExplorer supports are:

  • Large Icon View
  • Small Icon View
  • List View
  • Details View
  • Thumbnail View
  • Tile View
  • Columns View

Threaded Images: All views in UltraExplorer images are extracted in a separate thread so you are not waiting for images to appear in order to continue your work.

Customization

UltraExplorer can be configured to a way that fits any user.

First all windows and Toolbars can be "Torn Off" the main application and docked anywhere in the application or can float above it.

All the window and Toolbars can be show or hidden by clicking the small "x" in the title bar or using the main menu
Plug-Ins
Links
Topics


User Interface

User Interface
Using UltraExplorer | Topics
Collapse All

UltraExplorer is a powerful replacement for the file manager in the Microsoft Windows operating system. Windows Explorer is fine for occasional use but those who require more out of file management quickly become frustrated with it.

The UltraExplorer user interface is divided up into numerous windows that may be docked to any edge of the main application or may "float" detached from the main application.

Group

Using UltraExplorer

Topics
Name | Description
Folder Window |
Favorites Window |
History Window |
Filter Window |
Command Line Window |
DropStack Window |
Listview Window |
Viewer Window |
Toolbars |
Links
Using UltraExplorer, Topics


Folder Window

Folder Window
User Interface
Collapse All
Folders Window:

The Folder window is similar to the left hand treeview in Windows Explorer. It contain a tree representation of the folders found on your computer system.

Group

User Interface

Links
User Interface


Favorites Window

Favorites Window
User Interface
Collapse All
Favorites Window:

The Favorites window allows the user to create a list of commonly used folders and applications grouped in any manner that is desired. This window is a good place to put commonly used files, project folders that are commonly accessed or applications to be launched. Some of the features of this window are:

  • Support for Shell Drag and Drop (a drag operation from Explorer or UltraExplorer may be dropped directly on a folder, file or application that is in the Favorites window), In other words you can manipulate the underlying files/folders using the objects in the Favorites Folder.
  • Drag and Drop reordering of the the items currently contained within the Favorites window or drag new items directly from Windows Explorer or UltraExplorer to the Favorites window.
  • Addition of items selected in the Listview directly into the Favorites window through a menu selection
  • The Favorites may also be accessed from the main menu.
Group

User Interface

Links
User Interface


History Window

History Window
User Interface
Collapse All
History Window:

The History window is a stack of the last folders browsed to. It depth can be as deep as desired, simply set it in the Options Dialog under the History tab.

  • Double click a folder to browse the active Listview back that folder
  • Like the Favorites window this window is aware of drag and drop from Windows Explorer or the Ultra Explorer Treeview or Listviews so it may be used for direct file management as well as navigation.
Group

User Interface

Links
User Interface


Filter Window

Filter Window
User Interface
Collapse All
Filter Window:

The Filter windows allows real time filtering of what items are displayed in the listview of UltraExplorer.

File Extensions
  • Use the filter window to set up commonly used file types to be displayed in the Listview window(s).
  • Supports adding filters in the following ways:
  • Typing in the extension of the desired file types
  • Drag and Drop from any UltraExplorer window or Explorer
  • Use the currently selected items in the active UltraExplorer listview

With any of these methods UltraExplorer will automatically extract the file extensions and remove any duplicates for you.

Wildcard Patterns
  • You may also enter a wildcard expression for matches such as
    • P*t.* - for files/folders that begin with P and end with a t and have any extension
    • Acro*.* - for files/folders that begin with Acro and have any extension
    • 1?9.jpg - for jpg files that have a single character between the 1 and a 9 (i.e. 109.jpg, 119.jpg, 169.jpg, 1A9.jpg, etc)

Filter Options
  • The filter may be "Filtered In" or "Filtered Out". If "Filtered In" in it is shown in the Listview, if "Filter Out" then all files/folders are shown except the filter match.
  • "Filtered In" or "Filtered Out" can be applied individually to each filter mask.
  • Use the "Folder" selection to include or exclude folders in the filtering. Note: This item can not be deleted from the list.
Group

User Interface

Links
User Interface


Command Line Window

Command Line Window
User Interface
Collapse All
Command Line Window:

Adds the capability of command line operations of the shell. The command line keeps synchronized with the current path of the active Listview with a click of a button in the toolbar.

Adds a temporary drag drop staging area for file maniuplation. Simply drag folders or files to the stack from UltraExplorer or Windows Explorer then drag the block of files to another window or Windows Explorer. To clear the stack simply press the Clear button.

Group

User Interface

Links
User Interface


DropStack Window

DropStack Window
User Interface
Collapse All
Drop Stack Window:

Adds a temporary drag drop staging area for file manipulation. Simply drag folders or files to the stack from UltraExplorer or Windows Explorer then drag the block of files to another window or Windows Explorer. To clear the stack simply press the Clear button.

Group

User Interface

Links
User Interface


Listview Window

Listview Window
User Interface
Collapse All
Listview Window:

UltraExplorer utilizes a fixed Listview and a Listview that is contained within a dockable window. The Listview that an action will effect is drawn in full color while the inactive Listview is partially blended with the window background color for easy feedback on which window is the one any file manipulations will effect. The Listview Edit Toolbar allow quick access to common file manipulations while the Listview Action Toolbar allows quick access to manipulations that effect the current view of the Listview.

Group

User Interface

Links
User Interface


Viewer Window

Viewer Window
User Interface
Collapse All
Viewer Window:

The viewer window is available at the click or the mouse or by pressing F3. It includes fast viewing of dozens of file formats and has the ability to view a file in the following formats:

  • Text
  • Binary
  • Hex
  • Multimedia (Windows Media Player)
  • Internet (web browser)
  • Unicode
  • Plug-Ins
  • RTF/UTF-8

Plug-Ins allow dozens of file formats to be viewed using currently available Total Commander "Lister" plugs.

Note: Some plugins may not work correctly if they use unconventional hacks to access Total Commanders main window. A list of know usable plugs ins is maintained on the Mustangpeak messageboards.

Group

User Interface

Links
User Interface


Toolbars

Toolbars
User Interface | Topics
Collapse All
Group

User Interface

Topics
Name | Description
Tabbed Browsing |
Listview Toolbar |
Address Toolbar |
Breadcrumb Bar |
Drives Toolbar |
FavoritesCrumb Bar | The FavoritesCrumb Bar is way to view and interact with your favorites that are defined in the Favorites Window. The bar may be docked anywhere in the application or free floating.
Links
User Interface, Topics


Tabbed Browsing

Tabbed Browsing
Toolbars
Collapse All
Tabbed Browsing:

UltraExplorer allows many folders to be open on different tabs. A toolbar is integrated into the tab window to:

  • Show a list of open tabs
  • Show the Context Menu of the folder
  • Close the current tab
  • Note that the Tabs are drag drop aware. You can drop files on the tab to place them in the folder.
Group

Toolbars

Links
Toolbars


Listview Toolbar

Listview Toolbar
Toolbars
Collapse All
Listview Toolbar -

Common actions are at your fingertips with fully configurable toolbars. Not only are they convenient they are fully configurable:

  • They may be aligned on the top, bottom, right, of the application or in the main menu toolbar
  • The buttons may be moved to other toolbars
  • The buttons can show Images and Text, Images Only, or Text Only
  • Custom keyboard shortcuts can be configured by the user
  • Copy the paths of the selected item to the clipboard in long or short filename format
Group

Toolbars

Links
Toolbars


Address Toolbar

Address Toolbar
Toolbars
Collapse All
Address Toobar -

The Address Toolbar contains the drop down Combobox found in the Windows file manager plus a feature

  • Quickly change the type of objects shown (Folders, Files, Hidden, etc)
  • Copy the paths of the selected item to the clipboard in long or short filename format
  • Navigation history saved in the drop down buttons, forward and back
  • Short cut to move up one folder in the hierarchy
Group

Toolbars

Links
Toolbars


Breadcrumb Bar

Breadcrumb Bar
Toolbars
Collapse All
Breadcrumb Bar:

The Breadcrumb Bar is a new feature in Windows Vista file manager and now you can have it in any version of Windows. The bar contains the current browse path in a toolbar with drop down menus. Click on the button and navigate to that parent folder. Click on the drop down button and select a child folder of that parent or show the property sheet of the folder from the menu.

Group

Toolbars

Links
Toolbars


Drives Toolbar

Drives Toolbar
Toolbars
Collapse All
Drives Toolbar

The Drives Toolbar gives the user fast access to local and mapped drives. Simply click on the drive to navigate to that drive. The Toolbar supports:

  • Right click Context Menu shows the system Context Menu
  • Drag and drop aware. Drag a file from UltraExplorer or Explorer and drop it on the drive to move/copy or link the file to the drive.
  • Works in the vertical or horizontal position.
  • Respond to shell changes to correctly update when drives are disconnected/connected and USB drives being installed/removed.
Group

Toolbars

Links
Toolbars


FavoritesCrumb Bar

FavoritesCrumb Bar
Toolbars
Collapse All

The FavoritesCrumb Bar is way to view and interact with your favorites that are defined in the Favorites Window. The bar may be docked anywhere in the application or free floating.

Group

Toolbars

Links
Toolbars


Views

Views
Using UltraExplorer
Collapse All

UltraExplorer supports the common listview view styles found in Windows Explorer plus an exciting new mode found only in UltraExplorer, Columns View.

The views that UltraExplorer supports are:

  • Large Icon View
  • Small Icon View
  • List View
  • Details View
  • Thumbnail View
  • Tile View
  • Columns View

Threaded Images: All views in UltraExplorer images are extracted in a separate thread so you are not waiting for images to appear in order to continue your work.

Group

Using UltraExplorer

Links
Using UltraExplorer


Customization

Customization
Using UltraExplorer
Collapse All

UltraExplorer can be configured to a way that fits any user.

First all windows and Toolbars can be "Torn Off" the main application and docked anywhere in the application or can float above it.

All the window and Toolbars can be show or hidden by clicking the small "x" in the title bar or using the main menu

The Customizer Dialog

The Toolbars may fully customized by selecting Tools>Customize... in the main menu to open the Customization dialog. Here you may set the visibility of the Toolbars as well as choose what will be shown on the Toobar buttons.

Toolbars
  • Sets the visibility state of the Toobar
  • Options:
  • Set the selected Toolbar to Visible or not
  • Selects what is shown in the Toolbars buttons
    • Image and Text
    • Text Only
    • Image Only
  • Themes: Sets the current Theme the application is drawn in

Commands
  • When open drag Buttons or Menu items from the application to the Customization Dialog to remove them or the Customization Dialog to any other Toolbar

ShortCuts
  • Create new shorts cuts for commands or reassign built in short cut keys using this editor
Group

Using UltraExplorer

Links
Using UltraExplorer


Plug-Ins

Plug-Ins
Using UltraExplorer
Collapse All
Lister Plugin Editor

UltraExplorer can use Lister Plug-Ins from Total Commander for its viewer. To install a TC Plug-In select View>Viewer>Install Plug in... from the main menu. This will open the Lister Plugin Editor.

  • Add...: Click to add a new lister library (*.wlx file). Browse to the new file and open it.
  • Delete: Select a currently installed plugin and press to remove the library from UltraExplorer
  • Edit Ext...: Opens the editor to change the options and file types for the plugin (see the Total Commander and the specific plugin help for valid options). See below for details.
  • Move Up/Move Down: Changes the order in which the plugins are checked for support of a particular file type
  • To enable/disable the plugin check/uncheck the box in front of the plugin

Extension Editor

The Extension editor is used to edit the parameter sent to a particular plugin. To load the default parameters (as defined internally by the plugin) press the Load Default button.

Group

Using UltraExplorer

Links
Using UltraExplorer


Options

Options
Topics
Collapse All

UltraExplorer has a rich set of options to satisfy any user. They are broken down into tab sheets on the Options dialog. To open the options dialog use the Tools>Options... menu selection.

Topics
Name | Description
Treeview Options |
Listview Options |
History Options |
Favorites Options |
Filter Options |
Command Line Options |
DropStack Options |
Viewer Options |
General Options |
Links
Topics


Treeview Options

Treeview Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

General
  • Hover AutoExpand: When the mouse hovers over a node for a period of time the node will expand to show its children
  • Auto Scroll on Select: Enables/Disabled horizontal auto scroll when an item is selected. If enabled the control will scroll horizontally until the caption is centered if it is too long for the current width of the control.
  • Show branch lines: Shows/Hides the dotted lines connecting the "+" symbols to a nodes child nodes.
  • Hottrack: Enabled/Disabled the node showing a selection color when the mouse passes over it
  • Full Row Select: If true selection anywhere in the horizontal area a node occupies becomes a hot area for selection. Otherwise only the caption and icon must be clicked to select the item.
  • Single Click Expand: If enabled when an item is clicked the node is expanded to show its child nodes, otherwise it must be doubled clicked or the "+" icons clicked to expand the node.

Group

Options

Links
Options


Listview Options

Listview Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

Columns View Options
  • Hi light Active Column: The column that defines the current sort criteria is a different color then the window background. The color is set by the Color... option
  • Color...: Sets the color of the Hi light Active Column
  • Default Sort Column: Sets how the items are sorted when the Listview items are added. Note the sort is valid regardless of the view (i.e. this works on all views not just Details)
  • Header Menu Items: The number of items that are shown in the drop down menu when you right click the Details view header. The rest of the items must be see by displaying the dialog to choose what columns to show.
  • Sort Direction: The default sort direction that is applied to the Listview based on the Default Sort Column

Thumbnails
  • Load All at Once: Loads all the Thumbnails when the Listview adds the items. Otherwise they are only loaded when the control tries to display them to the user.
  • Width: Sets the width of the Thumbnails, in pixels
  • Height: Sets the height of the Thumbnails, in pixels
  • Cache Thumbs: Caches the Thumbnails in a file for faster retrieval the next time it is needed.
  • Compress: Compresses the Thumbnails stream if they Cached Thumbs is enabled.
  • Cache in Single File: Instead of saving a cache file in each folder browsed all Thumbnails are cached in the file defined by the user. Applies if Cache Thumbs is checked.

Grouping Options
  • Group by Default: If checked the control always shows the view as grouped by default.
  • Default Grouping: Defined what column is used to group the view.
  • Edit Grouping Criteria: Apply user defined grouping criteria for File Size and Creation Date grouping.

File Objects
  • Folders: Show Folders in the view.
  • NonFolders: Show NonFolders (Files) in the view.
  • Hidden: Show hidden files in the view.
  • Shareable: Show shareable files in the view. Questionable value, Windows defines this enumeration type but its exact usage is not well understood
  • Network Printers: Show network printers files in the view. Questionable value, Windows defines this enumeration type but its exact usage is not well understood

General
  • Show File Popup Hints: Show the shell defined popup hints (ToolTip) that show extra information about object.
  • Save view per folder: Each folder saves its view and is restored on returning to the folder. This includes, sort type, sort direction, view type, grouping, grouping type, etc.
  • Copy previous folder: As the user navigates the shell namespace all attributes (sort type, sort direction, view type, grouping, grouping type, etc.) that the previous folder had are copied to the new folders view when browsing.
  • Always select first item: Always cause the first item in the Listview to be selected when the Listview is populated with new items.
  • Default View: The view type (Large Icon, Small Icon, List, Details, Tile, etc) to use by default when browsing the shell namespace.

Group

Options

Links
Options


History Options

History Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

General
  • Warn before file actions: The objects in the History Window can be manipulated just like a normal file (including deleting it). By default UltraExplorer will warn the user before completing any normal file action as a safety precaution.
  • Warn before context menu action: The objects in the History Window can be manipulated just like a normal file (including deleting it). By default UltraExplorer will warn the user before completing any context menu action as a safety precaution.
  • Save Removable Drive History: Saving history on objects that may be removed the next time UltraExplorer is run could cause long delays in startup. By default these types of objects are not saved.
  • Save Network Drive History: Saving history on objects that may be removed the next time UltraExplorer is run could cause long delays in startup. By default these types of objects are not saved.
  • Save Mapped Drive History: Saving history on objects that may be removed the next time UltraExplorer is run could cause long delays in startup. By default these types of objects are not saved.

Group

Options

Links
Options


Favorites Options

Favorites Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

General
  • Warn before file actions: The objects in the History Window can be manipulated just like a normal file (including deleting it). By default UltraExplorer will warn the user before completing any normal file action as a safety precaution.
  • Warn before context menu action: The objects in the History Window can be manipulated just like a normal file (including deleting it). By default UltraExplorer will warn the user before completing any context menu action as a safety precaution.
  • Show Path in Popup Hint: Shows the complete path of the object in the Favorites Window in a popup hint so it may be more easily identified.

Group

Options

Links
Options


Filter Options

Filter Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

Group

Options

Links
Options


Command Line Options

Command Line Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

General
  • Line Depth: Number of lines to save in the window. Allows the user to scroll back to previous commands.
  • Auto-sync with current folder: Keep the command line current path in sync with the Folder Window

Group

Options

Links
Options


DropStack Options

DropStack Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

Auto Remove
  • Auto Remove only on move (default): If the files are moved (the cursor show a moving cursor when dragging from the DropStack Window) then the files are automatically removed from the DropStack Window.
  • Always Auto Remove: The files are always removed from the DropStack Window when they are dragged out (moved, copied, linked).
  • Auto Remove on Right Drag Only: Only removes the files from the DropStack Window if the user uses the right mouse button to do the drag. If the left button is used the files remain in the DropStack.

General
  • Stack Depth: The number of objects that can be dropped on the DropStack Window. When the stack is full the first item that was placed on the stack is removed.
  • Show DataObject contents hint: Shows a hint with the objects that are in the DataObject in the DropStack Window. This is useful when an object on the drop stack contains multiple objects.
    • Files in Hint: If Show DataObject contents hint is enabled limit the number of objects to be shown in the hint.

Group

Options

Links
Options


Viewer Options

Viewer Options
Options
Collapse All
File Extensions:
  • Text: File types that use the Text viewer.
  • Images: File types that use the Image viewer.
  • Media: File types that use the Media Player viewer.
  • Internet: File types that use the Web Browser viewer.
  • RTF: File types that use the RTF viewer.

Text Font:
  • ANSI Font: Font for the ANSI Font used in the viewer.
  • OEM Font: Font for the OEM Font used in the viewer.

Text Window Colors:
  • Background: Color used for the font background of the viewer.
  • Hex 1: Color used for the background of column 1 in the Hex viewer.
  • Hex 2: Color used for the background of column 2 in the Hex viewer.
  • Hex Background: Color used for the background of columns in the Hex viewer.

Group

Options

Links
Options


General Options

General Options
Options
Collapse All
Colors and Fonts
  • Color: Changes the color of the background for the window
  • Font: Changes the font type for the window
  • To change all windows at once see the General Options

Default New Tab Location
  • When a new tab is requested the initial folder for that tab is either a copy of the currently active tab or a user defined folder.

Startup Folder Options
  • When UltraExplorer starts up the initial folder that is browsed to is either the last folder that was open when UltraExplorer was shut down or a user defined folder.

Tabset Options
  • Hide tabset when one tab visible: When the number of tabs shown is one hide the tab and associated tools.
  • Save Removable Drive Tabs: Saving folder of objects that may be removed the next time UltraExplorer is run could cause long delays in startup. By default these types of objects are not saved.
  • Save Network Drive Tabs: Saving folder of objects that may be removed the next time UltraExplorer is run could cause long delays in startup. By default these types of objects are not saved.
  • Save Mapped Drive Tabs: Saving folder of objects that may be removed the next time UltraExplorer is run could cause long delays in startup. By default these types of objects are not saved.
  • Show path in popup hint: When hovering over a tab show the full pathname in the popup hint to help identify it.
  • Show full Paths in Menu: When showing the open tabs in the drop down menu in the tabset area show full path names to help identify the folder.

General Options
  • Single Instance: Only allow one instance of UltraExplorer at a time.
  • Show Full Path in Addressbar: Show the full file path in the Addressbar (Dropdown ComboBox)
  • Suppress "No Disk in Drive" messages: Try to suppress system messages about no disks in drives.
  • Show Path in Caption: Show the current path in the main application's window caption.
  • Show Tool Hints: Show popup hints for buttons and tools.
  • Show Toolbar close buttons when docked: Show the small "X" buttons in the corner of the Toolbars to allow them to be closed by clicking on the "X".
  • Track selected file size: Dynamically track the size of the selected files and display the number in the status bar at the bottom of the application. This can significantly impact selection speed on large numbers of files.
  • Use "On by Default" flag for custom column handlers: Custom column handler (to add new column to the Details Mode) may misuse the flag set to show the column by default. Windows Explorer typically ignores this flag and only shows the normal four column (Name, Size, Type, Date) regardless of the state of this flag. UltraExplorer lets the user decide if this is acceptable or not.
  • Autocheck for Updates: Checks for a new version of UltraExplorer. Must have internet access. Use the Help>Check for Update main menu selection to manually check for a new version.

Group

Options

Links
Options


Command Line Parameters

Command Line Parameters

UltraExplorer currently supports the following command line options:

  • /p "FolderPath"
    • Example: UltraExplorer.exe /p "c:\MyFolder"
    • Note for virtual namespaces you may use the GUID path to browse to these namespaces. For instance to browse to:
      • My Documents: UltraExplorer.exe /p "::{450D8FBA-AD25-11D0-98A8-0800361B1103}"
      • My Documents and subfolder named MyFolder: UltraExplorer.exe /p "::{450D8FBA-AD25-11D0-98A8-0800361B1103}\MyFolder"

Use Mustangpeak's Namespace Browser application to find GUID's of other standard virtual folders (Desktop, My Computer, Control Panel, etc.).


History

History

Version 1.4.4.2

  • Bug Fix: Fixed AV in DoThreadCallback method
  • Feature: Added ability to set a fixed with for Tabs

Version 1.4.4

  • Bug Fix: Fixed problem with activating viewer when full row select is used
  • Bug Fix: Fixed drawing issue with focused column drawing. Overdrawing the first line of the header
  • Bug Fix: Fixed Tabs so double clicking near the buttons on the right of the tab bar do not duplicate the currently active tab as like double clicking in a blank area of the tab bar does
  • Bug Fix: Fixed Bug with drop down list of available tabs when selecting a tab that was not visible (scrolled off the current view). The tab would not be selected if it was not visible
  • Bug Fix: Finally found the cause of the "Can not focus an invisible window" error when right clicking on the main menu bar
  • Bug Fix: Finally found the cause of the crash when changing folders!
  • Bug Fix: Fixed issue with Vista and sorting by extension instead of file type (Vista bug)
  • Bug Fix: Fixed issue with Listview not refreshing when icons changed or file attributes changed
  • Bug Fix: Fixed bug with Size Sorting
  • Bug Fix: Fixed bug in Shell New Menu. Nothing worked if target folder was Unicode.
  • Bug Fix: Fixed bug in Shell New Menu if the new item used the "Command" option to launch an app to create the new file, such as Vista's "Contact File" option
  • Bug Fix: Fixed changed to make UE more Vista compatible. Caused task bar button to show/hide then show again.
  • Bug Fix: Fixed bug introduced in 1.4.3 when showing properties of files
  • Feature: Added ability to select multiple item and using Enter key to "open" all the selections.
  • Feature: Added Icon Caching so images do not flicker from unknown to the system image when refreshing in the Listview
  • Feature: Added Listview option for user to define how the size is shown, Default based on current system, force a Classic Explorer Style, actual file size, actual number of bytes the file consumes on the disk.
  • Feature: Added Win-E Hook feature to open UE when the "Windows Key and E" are pressed instead of Explorer
  • Feature: Added HotTracking option to Listview
  • Feature: Added File>Flatten Folder command to show a flat list of all files in the currently selected folder and all subfolders. Currently is a real memory hog so be careful.
  • Feature: Added user selectable time for File QueryInfo Hints to stay visible (up to 20 seconds)

Version 1.4.3

  • Bug Fix: Drag and Drop on the Shell Objects in the Favorites Window was completely broken
  • Bug Fix: DropStack always used Unicode shell transfers and would fail on Windows 9x
  • Bug Fix: Viewer window caption not displaying "Viewer" when a plugin viewer not used
  • Bug Fix: Addressbar Editbox's default context menu did not work
  • Bug Fix: If dragging a folder from the Treeview to the Listview quickly (so the listview changes it root folder in the middle of the drag) UE intermittently would throw and AV.
  • Bug Fix: Fixed the Listview background menu "Paste As" menu item. Did not work.
  • Bug Fix: Command line parameters with GUID's did not work
  • Bug Fix: Using the shortcut key to set the focus to the Addressbar Combobox when the Addressbar is hidden caused an exception
  • Bug Fix: Fixed some special cases with the auto-selection of the filename minus the extension when entering into edit mode in the listview
  • Bug Fix: <CTRL> - <ENTER> would place a file in a new Tab if a file was selected and cause AV's
  • Bug Fix: Small Icon and List views now has an option auto size the cells to show the full captions
  • Bug Fix: Fixed incremental search to more resemble the Explorer listview incremental search
  • Bug Fix: Always Sort Folders First option now works
  • Bug Fix: LockFonts and LockColors options for windows reversed
  • Bug Fix: Fixed bug Folders window would not change font color
  • Bug Fix: Select First Item option incorrectly selects the first item if there were previously stored selections if the folder was browsed earlier
  • Bug Fix: Handled an invalid filename in the Launch Designer more elegantly
  • Bug Fix: Fixed bug with Mouse Wheel when switching away from List View
  • Bug Fix: Fixed Rename bug where new name would not be displayed if edited from within the Listview
  • Bug Fix: Fixed a bug in a core class that would cause random memory overruns and may cause strange AVs
  • Bug Fix: Fixed in Details Thread that would cause an AV in GetCaption at times
  • Bug Fix: Fixed bug in the '/p' command line switch
  • Bug Fix: Fixed bug in Column count extraction. Could cause incorrect column count in details view and AV's
  • Bug Fix: Fixed problem with F4 not dropping the Folder Select rolldown window in the Explorer Combobox
  • Bug Fix: Fixed issue where Columns View columns would not refresh when file changes occurred
  • Bug Fix: Fixed where when using Columns View the UltraExplorer may not shut down completely when closed
  • Bug Fix: Fixed languages not working on the Grouping headers
  • Bug Fix: Fixed problems with context menus when using the Context Menu keyboard key
  • Bug Fix: Fixed Up One Folder in Columns View
  • Bug Fix: Fixed bug in "Add selected to favorites" menu item. Sometimes grayed out or would crash if active control was the Treeview.
  • Bug Fix: Default Grouping types "Size" and "Type" were reversed in the dropdown list causing the grouping to be Type when "Size" was selected and vice-versa
  • Bug Fix: Columns Mode Details not Unicode
  • Bug Fix: Forgot to implement IncrementalSearch on the Treeview
  • Bug Fix: Middle Mouse button should have opened History and Favorites in new Tab
  • Bug Fix: Command Line mistakenly lower cased the input string so case sensitive switches would not work
  • Bug Fix: Zip files did not ignore the extension when going into edit mode if the namespace extension to allow browsing into the zip was installed
  • Feature: Added better handing of corrupt configuration files. If an error occurs when reading the configuration file a dialog is shown telling you of the problem and a backup of the file is saved then the original file will be deleted so the user does not have to manually try to figure out and delete a corrupted file.
  • Feature: Added a feature to toggle between selecting between just selecting the FileName and selecting the FileName + Extension by pressing F2 when editing a file in the Listview.
  • Feature: If the Listview "Show File Popup Hints" is active and the filename does not fit in the cell (Listview "AutoSize for Caption is off) the Popup Hint will include the filename as the first line. If the Listview "Show File Popup Hints" is off and the filename does not fit in the cell then a ToolTip is show with the full caption of the file.
  • Feature: Added Speed Buttons for selecting the Listview View in the Navigation Toolbar (remember you can drag them off the toolbar or onto another toolbar with the Customization Dialog open)
  • Feature: Added user definable Incremental Search Delay Timeout in the General Options
  • Feature: Added a warning message that is shown the first time an item is dragged to the Drop Stack explaining that the Drop Stack is a reference to the files and the original files MUST exist when the references are dragged from the Drop Stack to their target destinations.
  • Feature: Added ability to turn off/on the Main Menu Toolbar via the right click popup menu available over every toolbar
  • Feature: If there are no windows to the left of the Listview the Splitter bar is not shown. Interferes with re-sizing window and takes valuable screen space
  • Feature: Command line switch now supports upper and lower case "p" switch. A lower case '/p' adds the command line paths to existing tabs. An upper case '/P' removes previous tabs then adds the command line tabs
  • Feature: When browsing up the folder tree the folder where the user browsed from is selected and scrolled to in the Listview
  • Feature: Added a New Folder button to the Dual Pane configuration
  • Feature: Now supports the popup thumbnails and flip windows in Vista
  • Feature:: Added ability to show a Desktop button on the Drives Toolbar
  • Feature: Added ability for user defined short-cut for Group
  • Feature: Added a View>Change Auto-Update menu item to disable/enable auto update when the shell or file structure changes
  • Feature:: Now an option if the Listview browses up one level when you double click the background

Version 1.4.2

  • Bug Fix: Fixed AV when moving a file with CTRL Drag then selecting a new file
  • Bug Fix: Fixed AV when using "Add All Tabs to Favorites"
  • Bug Fix: Fixed not hot tracking in the BreadCrumb Bar with "Lock Toolbars" enabled.
  • Bug Fix: Fixed bug in Tab Order
  • Bug Fix: Fixed bug in Listview not responding to Numeric Keys
  • Bug Fix: Fixed problem with BreadCrumb Bar hiding itself if double clicking on it
  • Bug Fix: Fixed problem with Tabs not saving history of Mapped, Removable, and Network Drives when switching away from the Tab then returning to it
  • Bug Fix: Fixed bug where Favorites could be added as sub-Folders of Favorites items that where not categories but actual files and folders
  • Bug Fix: Fixed bug in saving Tab information. Tabs would revert to last folder in the history when switching back to tab.
  • Feature: Changed the way CTRL-F works. Does not toggle Quick Search bar, always shows it and sets the focus to the edit ready to type
  • Feature:: Selectable if the History Window is unique per Tab or global across all Tabs
  • Feature:: Breadcrumb Toolbar now has a user definable hot key to open the current folders menu to allow 100% keyboard access, default is CTRL-B
  • Feature: Breadcrumb Toolbar has options to automatically open the sub menu when the mouse hovers over the button
  • Feature:: Breadcrumb Toolbar now has flyouts for the folders from the menu to subfolders.
  • Feature:: Added support for multiple paths in the command line switch. Now a switch such as UltraExplorer.exe /p "c:\;%AppData%;.." will open UltraExplorer with three tabs, one to the C drive, one to the user Application Data folder, and one in the current directory that UltraExplorer is running.
  • Feature:: Added Context Menu to allow opening Folder in UltraExplorer from other applications
  • Feature:: Added support for Environment Variables in the ComboBox
    • %USERPROFILE% - The current user's profile folder
    • %ALLUSERSPROFILE% - The All Users profile folder
    • %ProgramFiles% - The Program Files folder
    • %SystemRoot% - The system root folder
    • %SystemDrive% - The system drive letter
    • %windir% - Windows folder
    • %TMP% - Temporary Folder
    • %TEMP% - Temporary Folder
    • %PULBIC% - Users Public Folder
    • %ProgramData% - Folder for common program data
    • %HOMEDRIVE% - The drive the current users home folder is on (does not include "\")
    • %HOMEPATH% - The Home Folder for the current user (does not include the drive but includes a leading "\" so using "%HOMEDRIVE%%HOMEPATH%" is the full path
    • %CommonProgramFiles% - Common Program Files
    • %AppData% - Application Data folder
  • Feature:: Added Right Mouse Button "Gestures". In the Options dialog select the Mouse Option tab and choose use the Right Mouse button for Gestures. The following are the defaults but it is user selectable in the Options Dialog.
    • Clicking and holding the mouse button then dragging up causes a browse to the next level up
    • Clicking and holding the mouse button then dragging left causes a browse to back one step in the browsing history
    • Clicking and holding the mouse button then dragging left causes a browse to forward one step in the browsing history
  • Feature:: Insert and Delete keys now Add and Remove items from the Favorites.
  • Feature:: Added an "Enter Edit Mode" menu item to the Favorites Main Menu that opens the Favorites window, places it into edit mode, and set the input focus to it
  • Feature:: Breadcrumb bar menus selectable if Browsable folders (such as how Zip files look like folders in Windows ME, XP and Vista) are displayed or not. In Options>Toolbars.

Version 1.4.0

  • Bug Fix: Fixed possible AV in Listview DragDrop operation.
  • Bug Fix: Fixed problem with Command Line sync across network drives
  • Bug Fix: Fixed bug in rendering Thumbnails that would cause an AV
  • Bug Fix: Fixed rendering of some alphablended thumbnails
  • Bug Fix: Fixed problem with applications sometimes not launching when double clicking file
  • Bug Fix: Fixed issue with dialogs and 120 DPI font mode.
  • Bug Fix: Fixed problem when renaming file in Treeview not updating other data structures and windows in application.
  • Bug Fix: Thumbnail Load All At Once options did not work
  • Bug Fix: Hilighting the path in Column Mode did not work
  • Bug Fix: Setting the column width in Column Mode set the physical width but the cell width did not always change to the new width.
  • Bug Fix: Options dialog would crash on opening or closing if other then English language was used
  • Bug Fix: Fixed Columns mode item width not matching the width of the column
  • Bug Fix: Fixed Column Modes context menu for items not working
  • Bug Fix: Fixed current folder browsing back to desktop if File Object type changed (hidden, folders, non folders)
  • Bug Fix: Fixed bug that would cause an AV randomly when dragging a file over the listview
  • Bug Fix: Fixed bug in Options Dialog, Show Hints check not remembered between sessions
  • Bug Fix: Fixed problem with context menu showing on wrong monitor if using dual monitor
  • Feature: Sort Favorites by Name
  • Feature: Launcher ShortCut assignments now saved
  • Feature: New "Stretch" command for Thumbnails in the Listview Action Toolbar. You will likely have to open the Customizer dialog and drag the button to a more appropriate position if you has UE installed prior to this update.
  • Feature: Added new Auto-play on load option to the Options>Viewer tab to allow the user to decide if multimedia files automatically play when viewed.
  • Feature: Added new Dual Pane Listview mode. This more closely resembles normal dual pane Explorer clones.
  • Feature: Added a context menu handler that can be registered to allow access to your favorites folders thought the context menu in Explorer, UltraExplorer and Open/Save As dialogs that use the Common Windows Dialog. Use Tools>Install Context Menu Handler
  • Feature: Thumbnail sizes save on a Per Folder basis if the Listview's Save View Per Folder option is checked.
  • Feature: Thumbnails now has a Hide Captions options
  • Feature: Thumbnails have an Aspect Ratio option to allow the user to best fit their particular size of thumbnail images
  • Feature: Added main menu item to link to the Wiki Help
  • Feature: Reworked Columns mode Details
  • Feature: Added a user configurable hot key to toggle focus between the two listviews.
  • Feature: Added option to show grid lines in Details View.
  • Feature: Columns Mode window color now changeable.
  • Feature: Columns Mode highlight banding now selectable on/off.
  • Feature: Columns Mode banding color user definable.
  • Feature: Addressbar Combobox width user definable under Tools>Options>Toolbars
  • Feature: Added My Documents special folder button option for the Drives Toobar
  • Feature: Clicking a History folder opens the folder in a new Tab

Version 1.3.6

  • Bug Fix: Fixed bug with OLE drag and drop from UE to the desktop in WinXP and lower
  • Bug Fix: Some controls in the options did not have hints
  • Bug Fix: Fixed bug dragging more then one OLE object to the Drop Stack from the Treeview
  • Bug Fix: Languages did not work on some panels in the options dialog
  • Bug Fix: Favorites Menu and Toolbar did not respect the setting of Favorites In New Tab option
  • Bug Fix: Main Window caption was not Unicode so Unicode Paths in the caption showed as ?????
  • Bug Fix: Fixed drawing bug with Eos Theme and the Listboxes with checkmarks.
  • Bug Fix: Better implementation of Locking the Toolbars. No longer shifts the Toolbars around
  • Bug Fix: Fixed Back/Forward/History browsing
  • Bug Fix: Fixed "New Window" command on Vista
  • Bug Fix: Fixed AV when delete filter items
  • Bug Fix: Fixed Toolbar positions not saved when Lock Toolbars enabled
  • Bug Fix: Fixed "Hilight Compressed File" option in the Treeview
  • Bug Fix: Fixed Columns Mode file select not always opening in Viewer
  • Bug Fix: Fixed Listview from quickly changing folders then back when right clicking a different folder to show the properties sheet
  • Bug Fix: Virtual Folders could be added as children of Physical Folders in the Favorites Window
  • Feature: Added option to hilight encrypted files
  • Feature: New translations, Chinese, Italian, and French
  • Feature: Double clicking in the Tab area creates a new Tab
  • Feature: The following variables are now available to use in the AddressBar Combobox, Command Line, and Launcher
    • %desktop% = Top level desktop folder
    • %network% = Network folder
    • %printer% = Printers folder
    • %drives% or %mycomputer% = My Computer
    • %sysdir% = SystemDirectory
    • %temp% = Temporary folder
    • %appdata% = User Documents folder
    • %favorites% = Favorites folder
    • %personal% = My Documents folder
    • %templates% = Templates folder
    • %history% = History folder
    • %desktopfolder% = Physical disk folder that contains the desktop objects
  • Feature: Better organization of the Toolbar Context Menus
  • Feature: Changed themed drawing of graphical folder size bars to be consistent across Windows versions.
  • Feature: Can "Add Selected To Favorites" from Folders Treeview
  • Feature: Completely reworked the way the components interacted with each other. Faster response when changing folders as much fewer updates between controls.
  • Feature: Each Tab now stores its own History and Back/Forward information
  • Feature: Double Clicking in the background of the Listview browses up one level
  • Feature: New Tab option to position it on the bottom of the Listview

Version 1.3.5

  • Bug Fix: Folder Size Always check not always synchronized with the menu item.
  • Bug Fix: Fixed AV when pressing F5
  • Bug Fix: A number of Toolbars did not stay in sync with the the menu items to turn them on/off
  • Bug Fix: Folder Size activation not defined when setting from the Options dialog
  • Bug Fix: Fixed a drawing anomaly in Win9x/Win2k the first time the listview size was changed
  • Feature: Moved the main menu Folder Size menu under the Tools menu, don't need such direct access with the speed button on the tabs bar
  • Feature: Added themed graphical Folder Size indicators, that scale with font size

Version 1.3.4

  • Bug Fix: Listview editor Font not the same as the Listview's Font
  • Bug Fix: Fixed AV when opening the Edit Grouping or Edit Plugin dialogs
  • Bug Fix: Selecting a tab that represented the Desktop did not browse to the Desktop
  • Bug Fix: Fixed bug in XButton to browse backward/forward
  • Bug Fix: Context menu "Arrange Icon By" did not work if not grouped
  • Bug Fix: Fixed bug in Filters window, UE would delete the filter above the selected filter
  • Bug Fix: Fixed occasional AV when releasing the mouse in the Folder Window
  • Bug Fix: Quick Filter Toolbar menu item check not staying synced with visibility of Quick Filter Toolbar
  • Bug Fix: Found bug in the History code. Could cause the mystery jumps back to the Desktop
  • Bug Fix: The Listviews where not using the same default font as the rest of the windows
  • Bug Fix: Favorites Font and Color options did not work
  • Bug Fix: Double clicking a file in Columns Mode did not launch the file
  • Feature: Added ability to customize hotkeys for History Back and Forward
  • Feature: Minimize to Tray now keeps UltraExplorer from showing on the Taskbar
  • Feature: Double clicking the image last column of Column View now executes the item
  • Feature: Always Show Header option to allow header click sorting in any view
  • Feature: When switching tabs the selected nodes and the position of the scrollbar is preserved so the next time the tab is selected the state of the listview is restored.
  • Feature: Added Option>Toolbar>Lock Toolbars to lock the toolbars after they are position where the user wants them
  • Feature: UltraExplorer windows dynamically resize cells based on font size
  • Feature: Uses built in Vista drag image system for drag images in Vista
  • Feature: Serious reworking of Columns Mode
  • Feature: Clicking the header in Columns Mode toggled the sort direction of the view
  • Feature: "Arrange Icons By" now works in Columns Mode
  • Feature: New icons by Giannakopoulos Konstantinos

Version 1.3.2

  • Bug Fix: Fixed issue with potential invalid GUID for listview background menu
  • Bug Fix: Try again.... hope the AV in the EasyEditManager MainWindowHook is fixed
  • Bug Fix: Fixed transparent GIF images not displaying transparent

Version 1.3.1

  • Bug Fix: Fixed the "Edit Grouping Criteria" dialog and adding a custom criteria
  • Bug Fix: Forgot to assign a hot letter to the "Launch" main menu item
  • Bug Fix: Fixed problem of item in listview going into edit mode when activating the window with the mouse
  • Bug Fix: Hope the AV in the EasyEditManager MainWindowHook is fixed

Version 1.3.0

  • Bug Fix: Check if object is file or folder before deciding to not select the text after the last "." (used to not select the extension of a file when entering edit mode)
  • Bug Fix: Fixed bug with the new command line path relative path options.
  • Bug Fix: Think the double click on the header to autofit the captions should be fixed
  • Bug Fix: Status bar "Files Selected" limited to 1G
  • Bug Fix: Columns Mode was not using the File Objects options when showing files
  • Bug Fix: When using command line parameters a debug dialog would show
  • Feature: Reworked the Options Dialog to not use Tabsets
  • Feature: Added Toolbar button and Main Menu selection to choose Folder Size Calculation type
  • Feature: Launcher Design now drag drop aware from Explorer and the Shell to allow dropping *.exe, *.bat, *.com, and *.lnk files to create a new launcher entry.
  • Feature: Listview ghosts the images if the object is hidden
  • Feature: Middle mouse click on Favorites Folder opens a new Tab

Version 1.2.9

  • Bug Fix: Fixed bug with no translation of the Launcher Edit dialog
  • Bug Fix: List view would hang UltraExplorer

Version 1.2.8

  • Bug Fix: Fixed bug in command line and syncing between two different drives
  • Bug Fix: Fixed bug with autoselection of just the file name in the listview when filename contained "." other then the separation between the filename and the extension
  • Bug Fix: Fixed bug in listview editor preventing CTL-A from selecting the entire contents of the editor
  • Bug Fix: Fixed AV when the Hint Window shown in the Treeview (turned off Animation per Mike Lischke it is a known issue)
  • Bug Fix: Fixed bug in custom overlay icons not showing (i.e. TortiousSVN)
  • Feature: Added a "Auto Wildcards" checkbox to the quick filter to automatically add a "*" wildcard to the beginning and end of the typed text
  • Feature: Added Full Row Select option for the Favorites window
  • Feature: Added option to open a Favorites Folder in a new Tab. Also if the Ctrl or Alt is pressed when a folder is clicked it will open in a new tab
  • Feature: Time delay between when treeview change and the new path being updated in the other controls, as in Explorer
  • Feature: The listview does not browse until the mouse is release instead of pressed in the treeview, as in Explorer
  • Feature: Added support for customizing hot keys for electing Next/Prev Tabs
  • Feature: Added support for customizable hot keys for the Path Copy toolbar actions for the Listview and Addressbar
  • Feature: Added support for calculating Folder Sizes
  • Feature: Support for relative file paths in the -p command line switch switch (".", "..", "..\SomeFolder"
  • Feature: Added support for context menu hint strings in the task bar

Version 1.2.7

  • Bug Fix: When changing Object Types to show in the views and both listviews were shown they would not reset to the correct folder
  • Bug Fix: Thumbnail size not saved on shutdown
  • Bug Fix: Thread would not shut down and application stayed in memory
  • Bug Fix: Random AV's in TNamespace.InternalSubItems
  • Bug Fix: Fixed alpha blending of folder thumbnails in Windows Vista
  • Bug Fix: Fixed bug in the List View and the mouse wheel not scrolling a column width
  • Bug Fix: Fixed bug that could cause BreadCrumbbar to not contain sibling folders when opened (more pronounced on Windows Vista)
  • Feature: Added option to minimize to the tray
  • Feature: If panel Listview is closed the fixed listview receives the focus
  • Feature: Programs and ShellExecutes are launched from a separate thread to keep the UltraExplorer responsive.

Version 1.2.5

  • Bug Fix: Launcher Toolbar did not execute application
  • Bug Fix: Could not re-dock the toolbar to the drop stack
  • Bug Fix: Only Operation that would work on the Launcher was "open"
  • Bug Fix: Customizations not saved for Text Options
  • Bug Fix: Hot-Key Customizations not working
  • Bug Fix: Crash in DoThreadCallback fixed.
  • Bug Fix: Wrong context menu shown when right clicking next to and not on the item text in the Listview.
  • Bug Fix: The Viewer color options where not updated in the Options dialog when changed.
  • Bug Fix: Complete rewrite of the Columns View to fix List Index Out of Bounds crash. Much cleaner and smoother.
  • Bug Fix: Fixed problem with single instance and bringing the application to the front when it was minimized to the Taskbar.
  • Feature: Added Alt+D shortcut to select the Addressbar
  • Feature: If Folder(s) dragged to the tabset and dropped on an empty space they are added to the tabset.
  • Feature: UltraExplorer now stays in the background if items are dragged from it during a drag drop operation
  • Feature: QuickFilter bar similar to FireFox. Just type CTL-F and type in the edit box. Supports DOS wildcards as well (*, ?).
  • Feature: Options button in Toolbar now visually "fits in"
  • Feature: Added CTL- + shortcut to auto fit columns in Details View
  • Feature: Columns View now as a "Smooth Scroll" feature. Adjust the speed in the Listview Options. Set to 0 to disable.
  • Feature: Columns View has alternating colors to better identify items and has images to show what items are expandable into new Columns.
  • Feature: To support Vista the configuration files are not stored in %AppData%\{username}\Application Data\UltraExplorer

Version 1.1.2

  • Bug Fix: Fixed bugs with Filters if the "Hide Extension" option is turned on in Explorer.
  • Bug Fix: Fixed bug in Main Menu introduced in 1.1.0 and the accelerator keys strokes.
  • Bug Fix: Fixed problem with Default Sort Column not taking the change until after closing browsing to a new folder.
  • Bug Fix: Fixed problem PerFolderStorage option. Not working correctly.
  • Bug Fix: FavoritesCrumbbar not Unicode enabled.
  • Bug Fix: Fixed problem with crashes when using the context menu button in the Tabs area or right clicking on the background of the controls.
  • Bug Fix: Fixed problem with last item in listview being cut off when attempting to edit it.
  • Bug Fix: "Always select first item" option was broken. Fixed.
  • Bug Fix: "Divide by 0" crash in Dream Theme fixed.
  • Bug Fix: Fixed problem UltraExplorer not shutting down due to a thread not ending.
  • Bug Fix: On shutdown UltraExplorer would give an access violation at time. Fixed.
  • Bug Fix: Potential crashes when pressing "Group" button.
  • Bug Fix: Changes in files and folders not updated in UltraExplorer in some instances
  • Bug Fix: Fixed problem of CPU going to 100% when shell dialog shown and other viewer being used.
  • Bug Fix: Fixed problem of CPU going to 100% when shell dialog shown and other viewer being used.
  • - Bug Fix: Fixed bug when opening a new UltraExplorer window via the "New Window" command
  • Feature: Current Disk Drive size and Free Space displayed in the Statusbar
  • Feature: You can now customize the Favorites Name for Shell Objects and not just the Favorites Sub-Folders
  • Feature: UltraExplorer now tracks file operations and closes the file on the Viewer so it does not give a "File in use" error when trying to delete, move, or rename a file that is being viewed.
  • Feature: Filters may now be set to "Filter In" or "Filter Out" on an individual basis.
  • Feature: Filters now support wildcard matching per DOS wildcard standards, requires Window 98/Windows 2000 and greater or Internet Explorer 4.0 installed.
  • Feature: Expanded the options for the Drives Bar. Can now have a few special folders on the toolbar. Also control over if the buttons should contain Glyphs, Text or Glyphs and Text. Also popup hints for the Drive Bar are controlled separately from the global hints option.
  • Feature: Added a "Launcher" toolbar and main menu item. Allows the user to create shortcuts to applications with operations, parameters, and window types. See the ShellExecute API for a better idea on how to use this. Also look for "Cononical Verbs" for types of operations that can be performed.

Version 1.1.0

  • Bug Fix: Problem auto selecting the new file when using the New item in the context menu.
  • Bug Fix: Drag and drop required the FileDescriptor clipboard format to work with some applications (Outlook, Lotus Notes, etc)
  • Bug Fix: AV if double clicking disabled items in the Grouping Edit Dialog.
  • Bug Fix: Per Folder View settings not saved
  • Feature: Added a FavoritesCrumb Bar
  • Feature: Added a "Copy to DropStack" context menu item on Favorites Items
  • Feature: The Menu is now like a regular toolbar so other toolbars may now be docked next to it on the same line.
  • Feature: Alt+Left = History Back and Alt+Right History Forward hot keys.
  • Feature: Added option to Sync the Command Line with the current Folder
  • Feature: Added mode to Filter to all "Filter In" or "Filter Out"


Wish List

Wish List

Wish List items that are possible in the future releases of UltraExplorer

  • Chevron on the BreadCrumb bar on the left of the toolbar


Languages

Languages

UltraExplorer supports multiple languages. If you want to support a language translation download the DKLang Translation Editor and load the UltraExplorer.lang file supplied in the UltraExplorer install folder.

Please contact me to coordinate the effort to make sure you are not duplicating someone else's work. Support in keeping the existing translations current is also appreciated.


Contact

Contact

UltraExplorer information and support can be found at www.mustangpeak.net.


Credits

Credits

The following controls and components were used in UltraExplorer. Many thanks to the the thousands of hours donated to the Delphi community for these works.

  • VirtualTreeview and GraphicEx by Mike Lischke
  • Tnt Unicode Controls by TroyWolbrink
  • Toobar2000 by Jordan Russell
  • TBX Theme Extensions for TB2000 by Alex Denisov
  • SpTBX Unicode Extensions by Robert Lee
  • VirtualShellTools and EasyListview by Jim Kueneman
  • MadExcept by Mathias Rauen
  • ATViewer by Alexey Torgashin
  • Synapse TCP/IP Libary by Lukas Gebauer
  • TGIFImage by Anders Melander
  • DK Translation Package by Dmitry Kann
  • Icons by
    • Fast Icon
    • GlyFX


FAQ

FAQ

Q: How do I make UltraExplorer open to my favorite View?

A: Tools>Options- Choose the Listview Tab-General Group Box>Default View

Q: How do I make UltraExplorer save the view I have in Details View (column width grouping, etc)?

A: Tools>Options- Choose the Listview Tab-General Group Box>Save View Per Folder and/or Tools>Options- Choose the Listview Tab-General Group Box>Copy Previous Folder

Q: I tried a Total Commander Lister and it crashes UltraExplorer?

A: Some Listers expect TC to be the owner process and try to manipulate the main window. UltraExplorer is not TC so this hack will cause problems. See the Mustangpeak Messagebase under UltraExplorer General Discussions for a list of tested Lister plug-ins. Also look at Alex Torgashin's website for the ATViewer component that is used for this feature in UltraExplorer.

Q: How can I make ZIP files contents to be displayed as a folders like in Windows Explorer?

A: On Windows 2000/XP/Vista you have two choices:

  • Install the built in Zip browser namespace extension, www.annoyances.org is a good place to start
  • Go to the UltraExplorer Tools>Options>Viewer tab, and add "zip" extension to the "Intenet" extensions list, save options. Then click a zip file and call Viewer (F3): zip file contents will be displayed in a Viewer pane.

Q: Where do I find or how can I help contribute more information about UltraExplorer?

A: Visit the UltraExplorer Wiki page.


Wiki

Wiki
Wiki UltraExplorer

You may now contribute to help others with the UltraExplorer documentation. Visit UltraExplorer Wiki on the Web for more up to date help.


Topics

Topics
Options
Topics
Name | Description
Treeview Options |
Listview Options |
History Options |
Favorites Options |
Filter Options |
Command Line Options |
DropStack Options |
Viewer Options |
General Options |


Topics

Topics
Toolbars
Topics
Name | Description
Tabbed Browsing |
Listview Toolbar |
Address Toolbar |
Breadcrumb Bar |
Drives Toolbar |
FavoritesCrumb Bar | The FavoritesCrumb Bar is way to view and interact with your favorites that are defined in the Favorites Window. The bar may be docked anywhere in the application or free floating.


Topics

Topics
User Interface
Topics
Name | Description
Folder Window |
Favorites Window |
History Window |
Filter Window |
Command Line Window |
DropStack Window |
Listview Window |
Viewer Window |
Toolbars |


Topics

Topics
Using UltraExplorer
Topics
Name
Description
User Interface

UltraExplorer is a powerful replacement for the file manager in the Microsoft Windows operating system. Windows Explorer is fine for occasional use but those who require more out of file management quickly become frustrated with it.

The UltraExplorer user interface is divided up into numerous windows that may be docked to any edge of the main application or may "float" detached from the main application.
Views

UltraExplorer supports the common listview view styles found in Windows Explorer plus an exciting new mode found only in UltraExplorer, Columns View.

The views that UltraExplorer supports are:

  • Large Icon View
  • Small Icon View
  • List View
  • Details View
  • Thumbnail View
  • Tile View
  • Columns View

Threaded Images: All views in UltraExplorer images are extracted in a separate thread so you are not waiting for images to appear in order to continue your work.

Customization

UltraExplorer can be configured to a way that fits any user.

First all windows and Toolbars can be "Torn Off" the main application and docked anywhere in the application or can float above it.

All the window and Toolbars can be show or hidden by clicking the small "x" in the title bar or using the main menu
Plug-Ins


Contents

Contents
Overview
Features
Using UltraExplorer
User Interface
Folder Window
Favorites Window
History Window
Filter Window
Command Line Window
DropStack Window
Listview Window
Viewer Window
Toolbars
Tabbed Browsing
Listview Toolbar
Address Toolbar
Breadcrumb Bar
Drives Toolbar
FavoritesCrumb Bar
Views
Customization
Plug-Ins
Options
Treeview Options
Listview Options
History Options
Favorites Options
Filter Options
Command Line Options
DropStack Options
Viewer Options
General Options
Command Line Parameters
History
Wish List
Languages
Contact
Credits
FAQ
Wiki


Index

Index
A | B | C | D | F | G | H | L | O | P | T | U | V | W
A
Address Toolbar
B
Breadcrumb Bar
C
Command Line Options
Command Line Parameters
Command Line Window
Contact
Credits
Customization
D
Drives Toolbar
DropStack Options
DropStack Window
F
FAQ
Favorites Options
Favorites Window
FavoritesCrumb Bar
Features
Filter Options
Filter Window
Folder Window
G
General Options
H
History
History Options
History Window
L
Languages
Listview Options
Listview Toolbar
Listview Window
O
Options
Overview
P
Plug-Ins
T
Tabbed Browsing
Toolbars
Treeview Options
U
User Interface
Using UltraExplorer
V
Viewer Options
Viewer Window
Views
W
Wiki
Wish List


Welcome